package cn.pluss.platform.province;

import java.util.List;
import java.util.Map;

import cn.pluss.platform.entity.Province;
import cn.pluss.platform.leshua.LeshuaProvince;

public interface ProvinceService {

    public LeshuaProvince queryProvince(Province province);

    public List<LeshuaProvince> queryProvinceList(Province province);

    public void saveProvince(Province province);

    public void updateProvince(Province province);

    public void deleteProvince(Province province);

    public List<LeshuaProvince> queryProvincePage(Map map);

    public Integer queryProvincePageCount(Map map);

    public void saveProvinceBatch(List<Province> provinceList);
}

